import { HttpClient } from '@angular/common/http';
import { Configurations } from '../../../configurations';
import { AuthService } from '../../../workflow-services/auth.service';
import * as i0 from "@angular/core";
export declare class AssessmentService {
    private http;
    private authService;
    env: any;
    constructor(http: HttpClient, authService: AuthService, config?: Configurations);
    getAssessmentQuestions(id: string): import("rxjs").Observable<Object>;
    getAssessmentCategory(payload: any): import("rxjs").Observable<Object>;
    getAssessmentList(payload: any, id: string): import("rxjs").Observable<any>;
    getAssessmentDetailsByID(id: string): import("rxjs").Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssessmentService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AssessmentService>;
}
